{
  config,
  lib,
  pkgs,
  ...
}:
with lib; let
  cfg = config.features.desktop.coding;
in {
  options.features.desktop.coding.enable =
    mkEnableOption "install coding related stuff";

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      bruno
      insomnia
    ];
    coding.editors = {
      neovim.enable = true;
      zed.enable = true;
    };
  };
}
